// SetupDialog.cpp : implementation file
//

#include "stdafx.h"
#include "lxgTelescopeFile.h"
#include "SetupDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSetupDialog dialog


CSetupDialog::CSetupDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CSetupDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSetupDialog)
	m_path = _T("");
	m_logfile = FALSE;
	//}}AFX_DATA_INIT
}


void CSetupDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSetupDialog)
	DDX_Text(pDX, IDC_PATH_EDIT, m_path);
	DDX_Check(pDX, IDC_LOGFILE_CHECK, m_logfile);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSetupDialog, CDialog)
	//{{AFX_MSG_MAP(CSetupDialog)
	ON_BN_CLICKED(IDC_BROWSE_BUTTON, OnBrowseButton)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSetupDialog message handlers

void CSetupDialog::OnBrowseButton() 
{
   BROWSEINFO bi = { 0 };
   bi.lpszTitle = _T("Pick a folder for X.DAT and Y.DAT");
   LPITEMIDLIST pidl = SHBrowseForFolder ( &bi );
   if ( pidl != 0 )
   {
      // get the name of the folder
      TCHAR path[MAX_PATH];
      if ( SHGetPathFromIDList ( pidl, path ) )
      {
         m_path = path;
      }

      // free memory used
      IMalloc * imalloc = 0;
      if ( SUCCEEDED( SHGetMalloc ( &imalloc )) )
      {
         imalloc->Free ( pidl );
         imalloc->Release ( );
      }
   }

   UpdateData(FALSE);
}

void CSetupDialog::OnOK() 
{
   UpdateData(TRUE);
	
	CDialog::OnOK();
}
