// lxgTelescopeFileImplementation.h: interface for the lxgTelescopeFileImplementation class.
//
//////////////////////////////////////////////////////////////////////

#ifndef LXGTELESCOPEFILEIMPLEMENTATION_H
#define LXGTELESCOPEFILEIMPLEMENTATION_H

#include "lxgTelescopeFile_config.h"

extern "C"  {

__declspec(dllexport)
int lxgTelescopeInitialise();

__declspec(dllexport)
int lxgTelescopeName(char* telescope_name);

__declspec(dllexport)
int lxgTelescopeSetup();

__declspec(dllexport)
int lxgTelescopeStartGuide();

__declspec(dllexport)
int lxgTelescopeGuide(long timestamp, double dx, double dy);

__declspec(dllexport)
int lxgTelescopeStopGuide();


}

#endif 
